/* 
 * xfm.h
 * 
 * Practical Algorithms for Image Analysis
 * 
 * Copyright (c) 1997, 1998, 1999 MLMSoftwareGroup, LLC
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "fm.h"
#include "ip.h"

/* function prototypes */

/* xfm.c */
extern void fail_alloc (char *str, int code);
void usage (char *progname);
extern void main (int argc, char **argv);
/* moments.c */
extern void ap_eval_mom (float *y[], float *m[], long mdim);
extern void eval_mom (float *y[], float *m[], int mdim);
extern void central_moments (float *m[], float *mu00, float *mu11,
                             float *mu02, float *mu20, float *xc, float *yc,
                             float *r_gyr, float *dent);
extern void filter_recursion (int left_x, int right_x, int nr, int nc,
                              float *y[], int xdim, int ydim, Image * imgIn);
/* mom_io.c */
extern void write_mdt_file (FILE * fpOut, float *m[], int mdim,
             double m00, double mu00, double mu11, double mu02, double mu20,
                            double xc, double yc, double rg, double dent);
